Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008309 [DCSS] Patches tweak always 2014-03-24 19:33 2014-04-17 11:37
Reporter Tedronai View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008309: Make Tengu perma-flight white
Description Every perma flight in the game is white (including gargoyles innate flight).
Tengu having a special color is just a confusing inconsistency.

(I don't think tengu getting an additional bonus from flight is a justification for a different color. You can't even differentiate between permanent and temporary flight status)
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Make-Tengu-perma-flight-white.patch [^] (1,022 bytes) 2014-03-24 19:33 [Show Content]
? file icon 0001-Different-flight-color-for-tengu-perma-flight.patch [^] (1,421 bytes) 2014-03-24 20:10 [Show Content]

- Relationships

-  Notes
(0025692)
neil (administrator)
2014-03-24 19:47

There should be some indication of the bonus tengu get from flying. The status light colour doesn't really do that, but it at least tells observant players that *something* is different.

I do agree that distinguishing perma/temp flight is more important that hinting at the tengu bonus, though. Some possibilities to distinguish both permanent and speedy flight:

 * always use white/magenta, but change the status light text for tengu instead ("Fly+" maybe? "SFly"?)
 * use lightblue/blue or cyan/blue for permanent/temporary tengu flight
 * add another light for the speed improvement. But that's a lot of space for something that some players might keep up basically all the time.
(0025693)
Tedronai (reporter)
2014-03-24 20:11

I don't think we there should be statuses like Fly+. This only leads to more confusion.

Added another patch file. Temporary flight remains blue for tengu, permanent is now green. Feel free to adjust the colors to your liking. I mostly care about being able to see if I'm currently in permanent flight mode or not.
(0025846)
MarvinPA (developer)
2014-04-16 23:20

Adjusted some status lights in 641b22f9 - permaflight is always white, and Tengu get their descriptions of flight expanded to mention their speed and evasion bonuses. Hopefully that plus the different message they get when flying ("You swoop lightly up into the air.") makes the difference clear.

- Issue History
Date Modified Username Field Change
2014-03-24 19:33 Tedronai New Issue
2014-03-24 19:33 Tedronai File Added: 0001-Make-Tengu-perma-flight-white.patch
2014-03-24 19:47 neil Note Added: 0025692
2014-03-24 20:10 Tedronai File Added: 0001-Different-flight-color-for-tengu-perma-flight.patch
2014-03-24 20:11 Tedronai Note Added: 0025693
2014-03-24 20:49 Tedronai Issue Monitored: Tedronai
2014-04-13 06:20 MarvinPA Issue Monitored: MarvinPA
2014-04-16 23:20 MarvinPA Note Added: 0025846
2014-04-16 23:20 MarvinPA Status new => resolved
2014-04-16 23:20 MarvinPA Fixed in Branch => 0.15 development branch
2014-04-16 23:20 MarvinPA Resolution open => done
2014-04-16 23:20 MarvinPA Assigned To => MarvinPA
2014-04-17 11:37 Tedronai Status resolved => closed
2014-05-15 07:46 MarvinPA Issue End Monitor: MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker